regina::CensusHits Class Reference
Census of Triangulations

Stores a list of "hits" indicating all the places in which a given triangulation has been located in Regina's various in-built census databases. More...

`#include <census/census.h>`

Inheritance diagram for regina::CensusHits:

## Public Member Functions

| CensusHits ()
| Constructs an empty set of hits. More...
| ~CensusHits ()
| Destroys this object and all of the individual CensusHit objects that it contains. More...
CensusHit * | first () const
| Returns the first hit in this list. More...
size_t | count () const
| Returns the total number of hits in this list. More...
bool | empty () const
| Returns whether there are any hits at all. More...
void | append (CensusHit *hit)
| Appends a new hit to the end of this list. More...

## Detailed Description

Stores a list of "hits" indicating all the places in which a given triangulation has been located in Regina's various in-built census databases.

A given triangulation might have several hits across Regina's databases (or even in the same database). The complete set of hits for a given triangulation is represented by a single CensusHits object (which is essentially a linked list of individual CensusHit objects). To iterate through this list, you begin by calling CensusHits::first(), which will return the first hit (or 0 if there are no hits at all). Then, for each individual hit, you can call CensusHit::next() to retrieve the next hit in the list (this will return 0 if no more hits were found).

The documentation for this class was generated from the following file:

- census/census.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).